Skip to main content
POST
/
public
/
conversations
/
{conversationId}
/
messages
Send a visitor message
curl --request POST \
  --url https://api.tinyinbox.app/public/conversations/{conversationId}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>",
  "siteKey": "<string>",
  "visitorId": "<string>",
  "name": "<string>",
  "email": "jsmith@example.com"
}
'
{
  "message": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "senderType": "visitor",
    "body": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "senderId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tinyinbox.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Short-lived widget session token from /public/widget-session.

Path Parameters

conversationId
string<uuid>
required

Body

application/json
message
string
required
Required string length: 1 - 4000
siteKey
string
visitorId
string
name
string | null
Required string length: 1 - 80
email
string<email> | null
Maximum string length: 160

Response

Created visitor message

message
object
required